﻿# You can place the script of your game in this file.

init:
    # Declare images below this line, using the image statement.
    # eg. image eileen happy = "eileen_happy.png"
    image bg ukraine = "ukraine.jpg"
    image bg room = "livingroom.jpg"
    image bg bed = "bedroom.jpg"
    image bg ukrdark = "creditsbg.jpg"
    
    image ukr cont = "ukraine_content.png"
    image ukr surp = "ukraine_surprise.png"
    image ukr frown = "ukraine_frown.png"
    image bela sadi = "belarus_sadistic.png"
    image rus evil = "russia_nose.png"
    image ukr contbl = "ukraine_content_blush.png"
    image ukr surpbl = "ukraine_surprise_blush.png"
    image ukr frownbl = "ukraine_frown_blush.png"
    image usa usa = "america.png"
    image can can = "canada.png"
    
    image full house = "ukraine3.jpg"
    image full windmill = "ukraine4.jpg"
    image full farm = "ukraine5.jpg"
    image full face = "ukraine6.jpg"
    image full field = "ukraine7.jpg"
    
    image credits one = "credits1f.jpg"
    image credits two = "credits2f.jpg"
    image credits three = "credits3f.jpg"
    
    # Declare characters used by this game.
    $ povname = ""
    $ u = Character('Katyusha', color="#DEBC39")
    $ b = Character('Natalia', color="#845395")
    $ r = Character('Ivan', color="#CA2728")
    $ pov = DynamicCharacter("povname", color="#BF2A78")

# The game starts here
label start:
    scene bg ukraine
    with Dissolve(.5)
    play music "seclusion.mp3"
    pause (1)
    
    "You have at last reached it. The glorious and beautiful countryside of Ukraine.
    Long have you desired to witness the golden wheat juxtaposed against the blue sky,
    an image so Ukrainian they put it on their national flag."
    "If you're lucky, you will run into a farmer tending to his incredible work,
    treating the agriculture like a majestic work of art."
    
    play sound "noise.wav"
    stop music fadeout .5
    pause (.5)
    "You hear a noise. Perhaps today is indeed your lucky day."
    
    play sound "noise.wav"
    queue sound "noise.wav"
    play music "ukraine.mp3"
    show ukr surp at left
    with moveinleft
    
    "Before you stands not a man, but an exceptionally gorgeous beauty."
    "Unknown" "Oh! A foreigner!"
    show ukr cont at center
    with moveinleft
    
    u "It's nice to meet you. I'm Katyusha."
    "Your heart beats with excitement. Despite her work attire, she is without a doubt the
    prettiest woman you have ever seen in your life."
    u "Where are you from?"
    show usa usa at left
    show can can at right

    menu:
        u "Where are you from?"
        "America.":
            $ flag0 = True
            $ plname = "America"
            jump postq
        "Canada.":
            $ flag0 = False
            $ plname = "Canada"
            jump postq
            
label postq:
    if flag0:
        hide can can
    else:
        hide usa usa
    pov "I'm from %(plname)s."
    if flag0:
        hide usa usa
        with moveoutleft
    else:
        hide can can
        with moveoutright
    pause(.5)
    show ukr surp at center
    u "Wow, %(plname)s? Why did you come here of all places?"
    jump ppostq
        
label ppostq:
    show ukr cont at center
    menu:
        u "Wow, %(plname)s? Why did you come here of all places?"
        "I'm interested in Ukrainian culture.":
            $ flag1 = True
            jump postplace
        "I wanted to see the scenery.":
            $ flag1 = False
            jump postplace
        "I wanted to have sex with Eastern European ladies.":
            jump m1_c3_sex
    
label m1_c3_sex:
    pov "I wanted to have sex with an Eastern European lady. How about it, sexy?"
    pause(.5)
    show ukr surp at center
    stop music fadeout .25
    play sound "noise.wav"
    u "Ew! You're nothing but a disgusting sex tourist!"
    hide ukr
    with moveoutright
    play sound "noise.wav"
    queue sound "noise.wav"
    jump badend

# Bad Ending
label badend:
    pause(.5)
    scene black
    with dissolve
    play music "seclusion.mp3" fadeout 1
    ".:. Bad Ending .:."
    stop music fadeout 2
    pause(2)
    return

label postplace:
    if flag1:
        pov "I'm interested in Ukrainian culture."
        show ukr cont at center
        u "It's always nice to see somebody interested in my home country's culture."
        jump ppostplace
    else:
        pov "I wanted to see the scenery of this country."
        show ukr cont at center
        u "I agree, it's very beautiful."
        jump ppostplace
        
label ppostplace:
    u "So, what is your name, sir?"
    if flag0:
        $ povname = renpy.input("What is your name?") or "Alfred"
    else:
        $ povname = renpy.input("What is your name?") or "Matthew"
    pov "I'm %(povname)s."
    u "Say, %(povname)s, after I tend to the crops, would you like to meet my family?
    They can be a bit weird, but they're nice folk."
    menu:
        u "Say, %(povname)s, after I tend to the crops, would you like to meet my family?
        They can be a bit weird, but they're nice folk."
        "Yes.":
            jump m2_c1_yes
        "No.":
            jump m2_c2_no

label m2_c1_yes:
    $ flag2 = True
    jump postfam
label m2_c2_no:
    $ flag2 = False
    jump postfam

label postfam:
    if flag2:
        pov "Sure."
        jump famyes
    else:
        if flag1:
            pov "I don't think so."
            u "You don't need to be shy, it'll be a great place to learn more
            about my country's rich culture, don't you think?"
            jump midfam
        else:
            pov "No."
            pause(.5)
            show ukr surp at center
            stop music fadeout .25
            play sound "noise.wav"
            u "Are all people from %(plname)s this rude?"
            jump famfail

label famfail:
    hide ukr
    with moveoutright
    play sound "noise.wav"
    queue sound "noise.wav"
    jump badend

label midfam:
    u "So, what do you say?"
    menu:
        u "So, what do you say?"
        "Yes.":
            pov "Alright, I will."
            jump famyes
        "No.":
            $ flag1 = False
            $ flag2 = False
            jump postfam
            
label famyes:
    u "Excellent! I can't wait for you to meet them!"
    stop music fadeout 2
    u "I'll see you soon, right after I tend to the crops. Don't wander off too far!"
    hide ukr
    with moveoutright
    play sound "noise.wav"
    queue sound "noise.wav"
    pause(.5)
    "Your luck is truly incredible. Soon you will head off with a beautiful Ukrainian girl
    to her home to meet her family. Though this type of behavior isn't so common in your
    home country, you welcome it gladly."
    scene black
    with dissolve

# Belarus scenario starts here
label part2:
    play music "home.mp3"
    scene full house
    with Dissolve(.5)
    pause(5)
    scene bg room
    show ukr cont at center
    with Dissolve(.5)
    pause(1)
    
    u "Welcome to my house! I'll go let my little brother and sister know that you're here.
    Just wait one moment, yes?"
    
    hide ukr
    with moveoutleft
    play sound "noise.wav"
    queue sound "noise.wav"
    pause(.5)
    
    "You're a bit nervous. This experience is not one you're used to.
    After all, it's not every day that an East European beauty invites you into her home."
    
    show bela sadi at right
    show ukr cont at left behind bela
    with moveinleft
    play sound "noise.wav"
    queue sound "noise.wav"
    pause(.5)
    
    u "%(povname)s, this is my little sister, Natalia."
    b "I don't really care about meeting you, but hello."
    show ukr frown
    u "Natalia, it is not nice to greet strangers that way."
    show ukr cont
    u "Natalia doesn't live in Ukraine, she's just here to visit."
    if flag0:
        b "I'm Belarusian, though I doubt an American knows what that means."
        jump ppart2
    else:
        b "I'm Belarusian. Do you Canadians even know what that means?"
        jump ppart2

label ppart2:
    show ukr frown
    if flag1:
        u "Natalia dear, please do not be rude!
        He is here to learn more of Ukraine's culture!"
        b "Why not learn of my country's culture? Do you even know what country I live in?"
        menu:
            b "Why not learn of my country's culture? Do you even know what country I live in?"
            "Ukraine.":
                $ flag3 = False
                $ flag4 = False
                pov "Ukraine, right?"
                jump papart2
            "Belarus.":
                $ flag3 = True
                $ flag4 = False
                $ flag7 = False
                pov "Belarus, of course."
                jump papart2
            "Russia.":
                $ flag4 = True
                $ flag7 = False
                pov "Uhm, Russia?"
                jump papart2
        jump papart2
    else:
        u "Natalia dear, please do not be rude!
        He is here to enjoy the beautiful scenery!"
        b "Is that so? Well which country is the most beautiful of all?"
        menu:
            b "Is that so? Well which country is the most beautiful of all?"
            "Ukraine.":
                $ flag5 = True
                $ flag6 = False
                pov "Ukraine is, of course."
                jump papart3
            "Belarus.":
                $ flag5 = False
                $ flag6 = False
                $ flag7 = False
                pov "Why, it would have to be Belarus."
                jump papart3
            "Russia.":
                $ flag6 = True
                $ flag7 = False
                pov "I think it would be Russia."
                jump papart3
        jump papart3

label papart2:
    if flag4:
        show ukr surp
        u "Oh dear, no. Not anymore."
        b "I wish this were the case, but alas, we no longer do."
        show ukr frown
        u "A few years ago, we all used to live in Russia.
        Now only our brother does."
        jump papart4
    else:
        jump ppart2a

label ppart2a:
    if flag3:
        show ukr cont
        u "See, little sister? He is a very sharp man!"
        b "Perhaps I misjudged you. I apologize."
        jump papart4
    else:
        show ukr surp
        u "Oh dear, no. She has never lived here.
        I thought I told you that."
        b "You are quite the foolish one. I am from the country of Belarus.
        Perhaps I should show you a map of the world."
        b "Except my effort would probably be wasted trying to educate you."
        show ukr frown
        u "Please sister, do not fight him, he is a good man.
        He is highly interested in the culture of Ukraine."
        jump belarusquestion

label belarusquestion:
    u "Here, I will teach him about your country as well."
    show ukr cont
    u "Would you like to learn of Belarusian culture?"
    menu:
        u "Would you like to learn of Belarusian culture?"
        "Yes.":
            $ flag7 = True
            pov "I would enjoy that."
            u "See, little sister? He is a good and smart man,
            always willing to learn!"
            b "Fine, I will give him the benefit of the doubt, just this once."
            jump papart4
        "No.":
            pov "Not at all."
            pause(.5)
            show ukr surp
            stop music fadeout .25
            play sound "noise.wav"
            b "I think the world would be better if an idiot tourist
            like you were to have his pea-sized brain cut out by a knife."
            hide bela
            with moveoutright
            play sound "noise.wav"
            queue sound "noise.wav"
            show ukr surp at center
            with moveinleft
            u "You bring sadness to my heart for disrespecting my family."
            u "I should never have trusted a foreign man. Get out of my house immediately."
            play sound "noise.wav"
            queue sound "noise.wav"
            jump badend

label papart3:
    if flag6:
        show ukr frown
        u "Well, yes... Russia is quite a beautiful and large country..."
        b "Please excuse Katyusha for being jealous. I would agree with you, %(povname)s.
        Russia has amazing scenery."
        show ukr surp
        b "My sister should not feel this way. You would not have come here if you did not want to."
        show ukr cont
        u "I suppose that is true, yes."
        jump papart4
    else:
        if flag5:
            show ukr cont
            u "I feel so honored on behalf of my nation!"
            b "How typical."
            show ukr frown
            u "Little sister must feel a bit upset."
            jump belarusquestion
        else:
            show ukr cont
            u "See, Natalia? This man knows a lot about Eastern Europe!"
            b "Perhaps I misjudged you. I apologize."
            jump papart4

# Ukraine Mini-scenario starts here
label papart4:
    show ukr cont
    u "Natalia, will you go get our brother for us, please?"
    b "I would love to."
    hide bela
    with moveoutright
    play sound "noise.wav"
    queue sound "noise.wav"
    pause(.5)
    show ukr cont at center
    with moveinleft
    pause(.5)
    show ukr frown
    u "%(povname)s, you'll have to excuse my little sister.
    She doesn't take too kindly to people at first..."
    show ukr cont
    u "...but give her time and she'll grow to like you."
    menu:
        u "...but give her time and she'll grow to like you."
        "She seems nice enough.":
            $ flag8 = True
            pov "She seems nice enough."
            jump miniukraine
        "She was a bit rude.":
            $ flag8 = False
            pov "She was a bit rude."
            jump miniukraine

label miniukraine:
    if flag8:
        show ukr cont
        u "I'm glad that you can get along with her.
        To tell the truth, she can be a bit scary."
        menu:
            u "I'm glad that you can get along with her.
            To tell the truth, she can be a bit scary."
            "How so?":
                pov "How so?"
                $ flag9 = True
                jump howso
            "I understand.":
                pov "I understand."
                $ flag9 = False
                jump postmini
    else:
        show ukr frown
        u "I know she can get a bit scary,
        but I do hope you will give her a chance.
        She can be a very sweet girl."
        menu:
            u "I know she can get a bit scary,
            but I do hope you will give her a chance.
            She can be a very sweet girl."
            "I don't believe that.":
                pov "I don't believe that."
                jump nolikebela
            "I'll try to get to know her better.":
                pov "I'll try to get to know her better."
                $ flag8 = True
                jump miniukraine

label howso:
    u "This is a bit embarassing, so please don't tell her."
    u "She has a strange crush on our brother. Sometimes it seems cute,
    like a brother and sister holding hands."
    show ukr frown
    u "But other times, it can get violent. She is a very strong, independent woman."
    u "Sometimes a bit too strong, though."
    show ukr cont
    u "But regardless, I'm glad that you are here to meet my family."
    if flag1:
        u "I hope that you will learn about more than just the culture of my country."
        jump howsot
    else:
        u "I hope to show you more than just the scenery of my country."
        jump howsot

label nolikebela:
    pause(.5)
    show ukr surp
    stop music fadeout .25
    play sound "noise.wav"
    if flag1:
        u "I thought you cared about my family and my culture!"
        jump nolikebela0
    else:
        u "I thought you cared about my family!"
        jump nolikebela0

label nolikebela0:
    u "I can't believe that a man I thought so nice turned out so rude and disrespectful."
    u "I..."
    u "I feel so hurt! How could you do this to me, %(povname)s!?"
    show bela sadi at right
    with moveinright
    b "You disgusting cow. How dare you make my big sister cry like that!"
    if flag0:
        b "I will make you regret the day you ever left America!"
        jump nolikebela1
    else:
        b "I will make you regret the day you ever left Canada!"
        jump nolikebela1

label nolikebela1:
    b "Now, if you do not get out of this house in the next five seconds..."
    b "...I will personally eviscerate you."
    play sound "noise.wav"
    queue sound "noise.wav"
    jump badend

label howsot:
    if flag7:
        u "And of course, as promised, I will teach you much on the nation of Belarus."
        jump postmini
    else:
        jump postmini

# Russia scenario starts here
label postmini:
    stop music fadeout 2
    pause(.5)
    show ukr surp
    u "Oh look! Natalia and Ivan are here!"
    show ukr cont
    play sound "noise.wav"
    queue sound "noise.wav"
    show rus evil at right
    with moveinright
    show bela sadi at right behind rus
    with moveinright
    show ukr cont at left behind bela
    with moveinright
    
    u "%(povname)s, this is my little brother Ivan! He's the middle child of us three."
    play music "home.mp3" fadeout 1
    r "What a pleasure it is to meet you."
    if flag0:
        r "You come from America, right? It must be very warm there.
        You should let me stay at your house. I wouldn't mind a long vacation."
        jump rus1
    else:
        r "You come from Canada, right? It must be very cold there.
        I wonder how it compares to Russia. You should let me come over some time."
        jump rus1

label rus1:
    b "If Ivan is going to your country, then you must bring me as well."
    u "Hey, that sounds like such a fun idea. We can all go on vacation together!"
    "You don't know why this family is considering coming over to your house,
    especially given how you only just met them. You certainly wouldn't run into
    anything like this in %(plname)s."
    stop music fadeout 2
    pause(1)
    r "Before we plan this vacation, I think I would like to ask our friend here a few questions."
    play music "russia.mp3" fadeout .5
    show rus evil at center
    with moveinright
    show ukr frown
    r "%(povname)s, how did you meet my older sister, Katyusha?"
    menu:
        r "%(povname)s, how did you meet my older sister, Katyusha?"
        "I ran into her in the wheat fields.":
            pov "I ran into her in the wheat fields."
            $ flag10 = True
            jump rus2
        "She ran into me in the wheat fields.":
            pov "She ran into me in the wheat fields."
            $ flag10 = False
            jump rus2

label rus2:
    r "I see."
    r "So, why were you in the wheat fields?"
    menu:
        r "So, why were you in the wheat fields?"
        "I wanted to see the scenery.":
            pov "I wanted to see the Ukrainian scenery."
            $ flag11 = True
            jump rus3
        "I wanted to learn about culture.":
            pov "I wanted to learn about Ukrainian culture."
            $ flag11 = False
            jump rus3

label rus3:
    r "Alright."
    r "So then, what do you think of my older sister Katyusha?"
    menu:
        r "So then, what do you think of my older sister Katyusha?"
        "She is a very nice woman.":
            pov "I think she is a very nice woman."
            $ flag12 = True
            jump rus4
        "She is a very pretty woman.":
            pov "I think she is a very pretty woman."
            $ flag12 = False
            jump rus4
            
label rus4:
    r "I see."
    if flag10:
        $ flag13 = True
        r "Sir, I believe you are a liar."
        r "I heard the story of how you met Katyusha from Natalia.
        You did not run into her in the fields, she ran into you."
        jump rus5
    else:
        $ flag13 = False
        jump rus5

label rus5:
    if flag11:
        if flag1:
            if flag13:
                r "You claim now to be in Ukraine to view the pretty scenery,
                but you told my sisters beforehand you wanted to study culture instead."
                jump rus6
            else:
                $ flag13 = True
                r "Sir, I believe you are a liar."
                r "You claim now to be in Ukraine to view the pretty scenery,
                but you told my sisters beforehand you wanted to study culture instead."
                jump rus6
        else:
            jump rus6
    else:
        if flag1:
            jump rus6
        else:
            if flag13:
                r "You claim now to be in Ukraine to learn the culture,
                but earlier you told my sisters that you wanted to view the pretty scenery."
                jump rus6
            else:
                $ flag13 = True
                r "Sir, I believe you are a liar."
                r "You claim now to be in Ukraine to learn the culture,
                but earlier you told my sisters that you wanted to view the pretty scenery."
                jump rus6
                
label rus6:
    if flag12:
        if flag13:
            pause(.5)
            show ukr surp
            stop music fadeout .25
            play sound "noise.wav"
            r "You have lied to my face, and claim now that you find my sister to be nice.
            How can I trust you not to abuse her innocent feelings?
            You best sleep with one eye open tonight."
            r "Oh, and one more thing I forgot to mention.
            If you try to pull anything with my sister..."
            r "...I will be the one to bury you."
            if flag0:
                r "But I'm still looking forward to that vacation in America!"
                jump rus7
            else:
                r "But I'm still looking forward to that trip to Canada!"
                jump rus7
        else:
            pause(.5)
            play music "home.mp3" fadeout .5
            show ukr cont
            r "I have not met many people who are as honest and innocent as you.
            It is good to know that there are some nice people left in this world."
            if flag0:
                r "I look forward to that warm vacation in America!"
                jump rus8
            else:
                r "I look forward to that nice trip in Canada!"
                jump rus8
    else:
        if flag13:
            pause(.5)
            show ukr surp
            stop music fadeout .25
            play sound "noise.wav"
            r "You have lied to my face, and claim now that you find my sister attractive.
            Are you some sort of sex tourist, trying to abuse a poor and innocent girl?
            You better get out of here as soon as you can..."
            r "...because if you don't..."
            r "...I will be the one to bury you."
            if flag0:
                r "Now get out of here, you redneck!"
                jump badend
            else:
                r "Now go back to Canada, you mountie!"
                jump badend
        else:
            pause(.5)
            stop music fadeout .25
            play sound "noise.wav"
            r "You seem to full of a lot of guts, openly admitting that you find my older sister to be attractive."
            play music "home.mp3" fadeout .5
            r "But you are an honest man, and I certainly respect that!"
            show ukr cont
            if flag0:
                r "It was very nice to meet you, and I certainly will see you again
                when I vacation in warm America!"
                jump rus8
            else:
                r "It was very nice to meet you, and I look forward to seeing you again
                when I tour Canada!"
                jump rus8
        
label rus7:
    show ukr frown
    jump rus8
    
label rus8:
    hide rus
    with moveoutright
    hide bela
    with moveoutright
    play sound "noise.wav"
    queue sound "noise.wav"
    pause(.5)
    jump rus9
    
# Ukraine Alone scenario starts here
label rus9:
    play music "ukraine.mp3" fadeout 1
    show ukr frown at center
    with moveinleft
    if flag13:
        show ukr frown
        u "I'm sorry. My brother can get very defensive sometimes.
        It must now feel really awkward talking with me, after all of that..."
        menu:
            u "I'm sorry. My brother can get very defensive sometimes.
            It must now feel really awkward talking with me, after all of that..."
            "I should have been more honest.":
                pov "It's my fault. I should have been more honest."
                $ flag14 = True
                show ukr cont
                u "It isn't your fault. Everybody makes mistakes. I am certain this is nothing major,
                and that everything will come to pass peacefully."
                jump alone1
            "Your brother is mean.":
                pov "Your brother is incredibly mean."
                show ukr surp
                $ flag14 = False
                u "You don't mean that, do you, %(povname)s?"
                menu:
                    u "You don't mean that, do you, %(povname)s?"
                    "I mean it.":
                        pov "I mean it. He is very rude."
                        pause(.5)
                        stop music fadeout .25
                        play sound "noise.wav"
                        u "He may not be the nicest guy ever, but he is my little brother,
                        and I will not tolerate those who are against my family."
                        u "Everything he said about you was right. He's always right.
                        You're nothing but a desperate liar."
                        u "I should never have trusted a foreign man..."
                        u "Get out, or I will get my family to kick you out themselves."
                        pause(.5)
                        jump badend
                    "No.":
                        pov "I'm sorry. No, I don't mean that."
                        show ukr frown
                        u "I know he may not be the easiest guy to talk to, but he is my little brother,
                        so if you can, please forgive him. For me."
                        jump alone1
            "Don't worry about it.":
                pov "Don't worry about it."
                $ flag14 = False
                u "I wish I could, but so much is going on right now. A part of me wants
                to believe what he says about you, but another part doesn't. I'm so conflicted."
                jump alone1
    else:
        show ukr cont
        u "So you have now met my family. They're all wonderful people. I love them very much."
        menu:
            u "So you have now met my family. They're all wonderful people. I love them very much."
            "They are very nice people.":
                pov "They are very nice people."
                $ flag14 = True
                u "I'm so happy that this all worked out so nicely!"
                jump alone2
            "Are there any others in your family?":
                pov "Are there any others in your family?"
                u "We have four cousins. They live in Poland and the Baltics."
                show ukr frown
                u "We all live so far away, it's difficult to stay in touch with everybody."
                menu:
                    u "We all live so far away, it's difficult to stay in touch with everybody."
                    "Don't worry, you have family here.":
                        pov "You shouldn't worry, you have family here that clearly loves you."
                        show ukr cont
                        $ flag14 = True
                        u "Yes, you are right about that!"
                        jump alone2
                    "You should have a reunion.":
                        $ flag14 = False
                        pov "You should have a family reunion and get everybody back together."
                        u "I wish we could. We all used to live together in Russia with Ivan.
                        But complications came up, and we all split our separate ways."
                        show ukr cont
                        u "But you should not worry, spending time with Natalia
                        and Ivan makes me very happy!"
                        jump alone2
            "I love you.":
                pov "I love you."
                pause(.5)
                show ukr surpbl
                stop music fadeout .25
                play sound "noise.wav"
                if flag12:
                    u "%(povname)s... Wh-what's all this suddenly?"
                    menu:
                        u "%(povname)s... Wh-what's all this suddenly?"
                        "I don't know what got a hold of me.":
                            pov "I'm sorry, I don't know what got a hold of me."
                            $ flag14 = False
                            show ukr contbl
                            play music "ukraine.mp3" fadeout 1
                            u "It's alright. I just didn't expect to hear that."
                            jump alone2
                        "I love you.":
                            pov "You are a very kindhearted woman. I love you."
                            u "%(povname)s... This is so embarassing! What's gotten into you?"
                            show ukr frownbl
                            pause(.5)
                            show ukr contbl
                            $ flag14 = False
                            play music "ukraine.mp3" fadeout 1
                            u "You are sweet, but that was so unexpected, I just don't know what to say."
                            jump alone2
                else:
                    u "%(povname)s... I-I don't know what to say..."
                    "She stands there speechless, fidgeting about, trying to find the right words."
                    menu:
                        "How do you feel?":
                            pov "How do you feel?"
                            u "I... I don't know how I feel. This is so sudden and all."
                            pause(1)
                            u "I feel..."
                            pause(1)
                            play music "ukraine.mp3" fadeout 1
                            show ukr contbl
                            u "I feel that you are a very nice man."
                            $ flag14 = True
                            jump alone2
                        "I love you.":
                            pov "I love you."
                            pause(1)
                            "She is literally speechless."
                            pause(1)
                            play music "ukraine.mp3" fadeout 1
                            show ukr contbl
                            u "I see..."
                            "She seems to have reached some conclusion of some sort."
                            $ flag14 = True
                            jump alone2

label alone1:
    show ukr frown
    "She seems upset by something."
    menu:
        "What's wrong?":
            pov "Katyusha, what's wrong?"
            u "There is so much going on, especially with what just happened.
            Maybe we shouldn't see each other for a little bit."
            u "But then I may never see you again..."
            pause(1)
            show ukr frownbl
            pause(.5)
            menu:
                "Do you want to see me again?":
                    pov "Do you want to see me again?"
                    $ flag15 = False
                    show ukr frown
                    u "A part of me says yes, but the other part says no..."
                    u "I don't know, I'm so confused."
                    jump alone3
                "I want to see you again.":
                    pov "I want to see you again."
                    show ukr contbl
                    $ flag15 = True
                    u "I think... that I do too."
                    show ukr frown
                    u "I'm just very confused right now."
                    jump alone3
        "Do you trust me?":
            pov "Katyusha, do you trust me?"
            show ukr frownbl
            pause(.5)
            "She seems to have difficulty expressing her emotions."
            pause(.5)
            show ukr contbl
            u "I want to."
            show ukr frown
            u "But I just don't know."
            $ flag15 = True
            jump alone3

label alone2:
    show ukr cont
    pause(1)
    show ukr frown
    pause(.5)
    "She seems to have suddenly gotten down."
    u "Say, have you ever felt like there are two sides of you that are at war with one another?"
    menu:
        u "Say, have you ever felt like there are two sides of you that are at war with one another?"
        "No.":
            pov "I have not."
            if flag12:
                u "It's difficult to explain. It's as if I am two different people, but am one."
                pause(1)
                show ukr cont
                u "But I keep moving on, doing my best to ignore it."
                $ flag15 = False
                jump alone4
            else:
                u "It's as if I am two different people at once. Sometimes, a part of me feels one way,
                and then that other part feels the opposite."
                menu:
                    u "It's as if I am two different people at once. Sometimes, a part of me feels one way,
                    and then that other part feels the opposite."
                    "Do you feel that way now?":
                        pov "Do you feel that way now?"
                        u "Yes. It is especially bad right now."
                        $ flag15 = False
                        show ukr cont
                        u "But, I think I can overcome it."
                        jump alone4
                    "It's love.":
                        pov "Katyusha, it's love."
                        show ukr surpbl
                        pause(.5)
                        show ukr frownbl
                        pause(1)
                        show ukr contbl
                        pause(.5)
                        u "It might be."
                        $ flag15 = True
                        jump alone4                        
        "Yes.":
            pov "I know what you mean."
            u "Do you know of any way to deal with this?"
            menu:
                u "Do you know of any way to deal with this?"
                "Love.":
                    pov "The more you love, the less you will feel like this."
                    show ukr surpbl
                    pause(1)
                    u "So... embarrassing to hear..."
                    pause(.5)
                    show ukr contbl
                    pause(1)
                    u "But you may be right."
                    $ flag15 = True
                    jump alone4
                "Rest.":
                    pov "You seem to work hard. Maybe you need some rest."
                    show ukr frown
                    u "I don't know if that will help."
                    pause(.5)
                    show ukr cont
                    u "But I'm willing to try it."
                    $ flag15 = False
                    jump alone4
                 
label alone3:
    show ukr frown
    "There is something that feels off, but you don't know what."
    pause(1)
    menu:
        "How are you feeling?":
            pov "How are you feeling?"
            u "Somewhat queasy."
            pause(1)
            "She isn't talking much anymore."
            menu:
                "Do you need any help?":
                    pov "Is there anything I can do to help?"
                    stop music fadeout 3
                    pause(3)
                    show ukr frownbl
                    u "Can you help me to my bedroom, please?
                    I feel like I'm going to pass out."
                    $ flag16 = True
                    jump bedroom
                "How else do you feel?":
                    pov "How else do you feel?"
                    u "You asked me that already..."
                    stop music fadeout 3
                    pause(3)
                    u "I need help to my bedroom.
                    I feel very sick suddenly."
                    $ flag16 = False
                    jump bedroom
        "I don't want to leave you.":
            pov "I don't want to leave you."
            show ukr frownbl
            pause(1)
            show ukr contbl
            u "I don't want you to either."
            stop music fadeout 3
            pause(3)
            show ukr frownbl
            u "Can you help me to my bedroom, please?
            I feel sick, like I'm going to pass out."
            $ flag16 = True
            jump bedroom
         
label alone4:
    show ukr cont
    u "Isn't it funny? I met you only today, yet I feel like I've known you for a while."
    menu:
        u "Isn't it funny? I met you only today, yet I feel like I've known you for a while."
        "I feel the same way.":
            pov "I feel the same way."
            show ukr contbl
            u "I feel like it's fate. It couldn't possibly be anything else."
            pause(1)
            $ flag16 = True
            u "I want to show you something. Follow me!"
            jump bedroom
        "It's been a long day.":
            pov "Hah, it's been a long day, hasn't it?"
            u "Definitely! From farming to meeting you to introducing you to my family,
            today has been quite the exceptional day for me!"
            show ukr contbl
            u "Hey, I want to show you something. Follow me!"
            $ flag16 = True
            jump bedroom
            
# Trust compilation begins here
label bedroom:
    stop music fadeout 1
    hide ukr
    with moveoutleft
    play sound "noise.wav"
    pause(.5)
    scene bg bed
    with dissolve
    play sound "noise.wav"
    if flag13:
        show ukr frownbl at center
        with moveinright
    else:
        show ukr contbl at center
        with moveinright

    if flag14:
        if flag15:
            if flag16:
                $ flag17= True
                $ flag18 = False
                $ flag19 = False
                $ flag20 = False
                jump finale1
            else:
                $ flag17 = False
                $ flag18 = True
                $ flag19 = False
                $ flag20 = False
                jump finale1
        else:
            if flag16:
                $ flag17 = False
                $ flag18 = True
                $ flag19 = False
                $ flag20 = False
                jump finale1
            else:
                $ flag17 = False
                $ flag18 = False
                $ flag19 = True
                $ flag20 = False
                jump finale1
    else:
        if flag15:
            if flag16:
                $ flag17 = False
                $ flag18 = True
                $ flag19 = False
                $ flag20 = False
                jump finale1
            else:
                $ flag17 = False
                $ flag18 = False
                $ flag19 = True
                $ flag20 = False
                jump finale1
        else:
            if flag16:
                $ flag17 = False
                $ flag18 = False
                $ flag19 = True
                $ flag20 = False
                jump finale1
            else:
                $ flag17 = False
                $ flag18 = False
                $ flag19 = False
                $ flag20 = True
                jump finale1
    
# Finale
label finale1:
    play music "end1.mp3"
    if flag13:
        u "Thanks for taking me here, I was feeling a bit sick. I think I may need to sleep."
        menu:
            u "Thanks for taking me here, I was feeling a bit sick. I think I may need to sleep."
            "I'll let you sleep.":
                pov "I'll leave you sleep."
                show ukr frown
                if flag20:
                    jump norussnogainend
                else:
                    if flag19:
                        jump norussnogainend
                    else:
                        jump finale2
            "Do you want to sleep?":
                pov "Do you want to sleep?"
                show ukr frown
                if flag20:
                    jump norussnogainend3
                else:
                    if flag19:
                        jump norussnogainend3
                    else:
                        jump finale3
    else:
        jump finale5

label finale2:
    show ukr frownbl
    u "No, don't leave me yet. I still want to talk to you."
    show ukr contbl
    if flag0:
        u "You're my new American friend, after all."
    else:
        u "You're my new Canadian friend, after all."
    menu:
        "You need to sleep.":
            pov "You need to sleep."
            show ukr frown
            jump norussnogainend2
        "What do you want to talk about?":
            pov "Well, what would you like to talk about?"
            show ukr frownbl
            jump finale4

label finale3:
    show ukr frownbl
    u "I know I need to, but I want to spend some more time with you."
    jump finale4

label finale4:
    u "Earlier, you told my little brother Ivan that you thought I was nice.
    Is this true?"
    menu:
        u "Earlier, you told my little brother Ivan that you thought I was nice.
        Is this true?"
        "No.":
            pov "No, you're not."
            pause(.5)
            show ukr surp
            stop music fadeout .25
            play sound "noise.wav"
            u "%(povname)s... How could you..."
            u "How could you play with my heart like this..."
            u "Go away. Go away from here."
            u "Never come back."
            u "I can't... believe... I trusted you..."
            pause(.5)
            jump badend
        "Yes.":
            pov "Yes, of course it's true."
            pause(.5)
            show ukr contbl
            u "I knew you would say that. You're a very nice man."
            "This seems to be a very fragile and delicate situation you got on your hands.
            The blush on her face accents her already impeccable beauty.
            Your focus is entirely on her."
            u "%(povname)s..."
            u "What do you truly think of me?"
            menu:
                u "What do you truly think of me?"
                "You're beautiful.":
                    pov "Katyusha, I think that you are a truly beautiful woman."
                    pause(.5)
                    show ukr surpbl
                    stop music fadeout .25
                    play sound "noise.wav"
                    u "%(povname)s... You... I..."
                    show ukr contbl
                    play music "ukraine.mp3"
                    u "I think you're quite a handsome man yourself."
                    u "Tomorrow, let us meet up again. I want to show you around my country."
                    u "And then maybe after, we can stay together! I'm sure my brother will
                    eventually learn to like you, just give him time."
                    show ukr frownbl
                    u "%(povname)s..."
                    stop music fadeout .25
                    pause(.5)
                    play music "end2.mp3"
                    show ukr contbl
                    u "I love you."
                    pause(1)
                    scene black
                    with dissolve
                    jump goodend
                "I love you.":
                    pov "Katyusha... I love you!"
                    pause(.5)
                    show ukr surpbl
                    stop music fadeout .25
                    play sound "noise.wav"
                    pause(.5)
                    if flag17:
                        show ukr frownbl
                        u "%(povname)s..."
                        play music "end2.mp3"
                        pause(.5)
                        show ukr contbl
                        pause(.1)
                        show ukr frownbl
                        pause(.1)
                        show ukr contbl
                        pause(.2)
                        u "I..."
                        pause(1)
                        u "I love you too!"
                        u "Tomorrow, I'll show you around my country! We'll be together,
                        hand-in-hand, or maybe arm-in-arm, and..."
                        pause(.5)
                        u "We'll be happy together!"
                        pause(1)
                        scene black
                        with dissolve
                        jump greatend
                    else:
                        show ukr frownbl
                        u "%(povname)s..."
                        pause(.5)
                        u "I'm not ready for that commitment... not now..."
                        pause(2)
                        show ukr cont
                        u "But maybe, with time, I'll be ready."
                        u "I do want to see you again. And then maybe..."
                        show ukr contbl
                        pause(1)
                        play music "end2.mp3"
                        u "I'll be ready."
                        pause(1)
                        scene black
                        with dissolve
                        jump goodend
                "You are sweet.":
                    pov "Katyusha, I think that you are a truly sweet and kind woman."
                    pause(.5)
                    show ukr surpbl
                    stop music fadeout .25
                    play sound "noise.wav"
                    u "%(povname)s... You... I..."
                    show ukr contbl
                    play music "ukraine.mp3"
                    u "I think you're an even nicer man."
                    show ukr frownbl
                    u "I know that my little brother may have scared you earlier..."
                    show ukr contbl
                    u "But I'm sure in time he will grow to like you."
                    show ukr frownbl
                    u "Not as much as I like you though..."
                    stop music fadeout .25
                    pause(.5)
                    play music "end2.mp3"
                    show ukr contbl
                    u "%(povname)s, I love you."
                    pause(1)
                    scene black
                    with dissolve
                    jump goodend
                    
# No Russ No Gain Endings
label norussnogainend:
    show ukr frown
    u "Thank you. I hope you enjoy the rest of your stay in my country."
    stop music fadeout .25
    u "Goodnight."
    jump badend
label norussnogainend2:
    show ukr frown
    u "Yes, you're right, it's best for me to do so."
    u "I hope you enjoy the rest of your stay in my country."
    show ukr cont
    stop music fadeout .25
    u "Goodnight."
    jump badend
label norussnogainend3:
    show ukr frown
    u "Yes, I believe sleep is best."
    u "I hope you enjoy the rest of your stay in my country."
    show ukr cont
    stop music fadeout .25
    u "Goodnight."
    jump badend

# Russia Trust ending
label finale5:
    show ukr contbl
    u "This is what I wanted to show, my bedroom!
    What do you think of it?"
    menu:
        u "This is what I wanted to show, my bedroom!
        What do you think of it?"
        "Pretty.":
            pov "It's rather pretty."
            u "Ah, you think so too! That's wonderful!"
            jump finale6
        "Plain.":
            pov "It's somewhat plain."
            if flag17:
                show ukr frown
                u "You really think so?"
                menu:
                    u "You really think so?"
                    "No.":
                        pov "No, I'm just not used to rooms like this."
                        show ukr cont
                        u "You have it very lucky where you're from,
                        I'm sure that you're just not used to rooms like this.
                        Hopefully you'll become accustomed soon though!"
                        jump finale6
                    "Yes.":
                        pov "Yeah, it's a bit plain."
                        $ flag17 = False
                        $ flag18 = True
                        u "Well, I'm sure it's just a cultural thing."
                        show ukr cont
                        u "You'll get well adapted soon though, hopefully!"
                        jump finale6
            else:
                show ukr frown
                u "Maybe you're just not used to our culture."
                show ukr cont
                u "But soon you will be, I'm sure of it!"
                jump finale6
         
label finale6:
    show ukr cont
    u "%(povname)s, I want to ask you, what do you think of my little sister Natalia?"
    menu:
        u "%(povname)s, I want to ask you, what do you think of my little sister Natalia?"
        "Nice.":
            $ flag21 = False
            pov "I think she's a nice girl."
            u "She really is, even if she may come off as frightening at times."
            u "It's great that you like my family!"
            jump finale7
        "Scary.":
            $ flag21 = False
            pov "She scares me."
            show ukr frown
            u "Yes, she can be at times."
            show ukr cont
            u "But, she is a nice girl when you get to know her well, I assure you."
            if flag7:
                u "Plus, you told me you wanted to learn more of the
                culture of her country."
                u "I'm sure that together, when we teach you, you'll learn she isn't
                as frightening as you may think now."
                jump finale7
            else:
                jump finale7
        "Pretty.":
            pov "I think she's pretty."
            show ukr cont
            u "Yes, she's a little beauty, isn't she?"
            if flag12:
                show ukr contbl
                u "But not as pretty as me, right? Who do you think
                among us is the cutest?"
                menu:
                    u "But not as pretty as me, right? Who do you think
                    among us is the cutest?"
                    "Katyusha.":
                        pov "You are, of course."
                        u "Aww!"
                        pause(.5)
                        u "I knew you would say that, you're so sweet."
                        $ flag21 = False
                        jump finale7
                    "Natalia.":
                        pov "I think your little sister Natalia is truly adorable."
                        pause(.5)
                        show ukr surpbl
                        stop music fadeout .25
                        play sound "noise.wav"
                        u "You really prefer her to me?"
                        if flag7:
                            u "Now I understand why you wanted to learn
                            more about her country's culture...."
                            show ukr frown
                            u "You just wanted to be with her, and you lied to me."
                            u "%(povname)s... How could you?"
                            show ukr frownbl
                            u "I loved you! How could you be like this?"
                            pause(1)
                            u "Get out. I should have never trusted a foreign man."
                            u "Get out!"
                            jump badend
                        else:
                            u "%(povname)s... I loved you!"
                            show ukr frownbl
                            pause(1)
                            u "I loved you and you've lied to me."
                            u "Get out of here, I should have never trusted a foreigner!"
                            jump badend
                    "Ivan.":
                        jump ivancute
            else:
                show ukr contbl
                u "But I already know you think I'm pretty."
                pause(.5)
                u "You're such a kind man!"
                $ flag21 = False
                jump finale7

label ivancute:
    pov "I think Ivan is pretty cute, actually."
    $ flag21 = True
    show ukr surpbl
    u "Haha, is that some sort of joke?"
    menu:
        u "Haha, is that some sort of joke?"
        "No, I'm gay.":
            pov "No, I'm gay. I think he's really cute, actually."
            pause(.5)
            stop music fadeout .25
            play sound "noise.wav"
            u "Are you serious?"
            show ukr frownbl
            u "So, everything nice you've said about me... It wasn't real?"
            show ukr surpbl
            u "I can't believe this at all!"
            show ukr frownbl
            u "Get out of my house. I never should have trusted a foreign man!"
            jump badend
        "Yes, it is.":
            pov "Yes, it is. Sorry about that."
            show ukr contbl
            if flag0:
                u "It must be American humor, yes?"
            else:
                u "It must be Canadian humor, yes?"
            u "I suppose in time I will learn to understand these jokes
            and find them funny myself, won't I?"
            jump finale8
                
# Ukraine asks about Russia, then herself
label finale7:
    show ukr cont
    u "So, what do you think of my brother Ivan?"
    menu:
        u "So, what do you think of my brother Ivan?"
        "Cute.":
            jump ivancute
        "Nice.":
            pov "I think he's actually a nice guy."
            u "Ah! So you did understand his best intentions earlier!"
            u "This is very good. Sometimes he comes off as very strong,
            but I assure you he is a great little brother."
            jump finale8
        "Scary.":
            pov "I found him to be scary."
            show ukr frown
            u "Hm, why is that?"
            menu:
                u "Hm, why is that?"
                "He's mean.":
                    pov "He's mean."
                    pause(.5)
                    show ukr surp
                    stop music fadeout .25
                    play sound "noise.wav"
                    u "I know he's not the easiest man to get along with,
                    but he is my little brother, and I will not tolerate anybody
                    criticizing him unfairly like that!"
                    show ukr frownbl
                    u "I should have known that foreign men were ignorant.
                    Why did I waste all my day with you?"
                    u "Get out! Leave me and my family alone!"
                    jump badend
                "He's interrogative.":
                    pov "He was rather interrogative."
                    show ukr frown
                    u "He tends to be like that, but he only did that
                    because he wanted to protect me."
                    show ukr cont
                    u "He's a very loyal brother. Plus, I think he likes you, which is great!"
                    u "I'm sure we all will get along together perfectly happily!"
                    jump finale8
                    
label finale8:
    show ukr contbl
    stop music fadeout .25
    pause(1)
    show ukr frownbl
    u "Hey, %(povname)s..."
    pause(1)
    "This seems to be a very fragile and delicate situation you have on your hands.
    Your heart is pounding fiercely. Blush paints her face like acrylics.
    Your full attention is on her and her alone."
    pause(1)
    u "What do you think of me?"
    menu:
        u "What do you think of me?"
        "You're nice.":
            pov "Katyusha, you're a very nice and kind woman."
            show ukr contbl
            if flag12:
                u "I know."
                u "You're a very nice man too, %(povname)s. I hope I can spend more time with you tomorrow."
                pause(2)
                play music "end2.mp3"
                u "You have made today so fantastic."
                u "I'm so glad I met you! We'll have lots of fun together tomorrow, I know it!"
                pause(1)
                scene black
                with dissolve
                jump goodend
            else:
                u "Oh %(povname)s, you're so kind yourself!"
                jump finale9
        "You're pretty.":
            pov "Katyusha, you're a very pretty woman."
            show ukr contbl
            if flag12:
                u "Oh %(povname)s, you're handsome yourself!"
                jump finale9
            else:
                u "I know."
                u "You're a handsome man yourself, %(povname)s. I hope I can spend more time with you
                tomorrow."
                pause(2)
                play music "end2.mp3"
                u "I am excited to see you tomorrow! We'll have the greatest day in Ukraine together!"
                u "Oh, I am so, so happy that I met you! You are the greatest!"
                pause(1)
                scene black
                with dissolve
                jump goodend
        "You're beautiful.":
            pov "Katyusha, you're the most beautiful woman I've ever met."
            if flag17:
                jump finale12
            else:
                if flag18:
                    jump finale12
                else:
                    jump finale10
        "I love you.":
            if flag12:
                pov "Katyusha, I love you!"
                jump finale11
            else:
                if flag17:
                    jump truelove
                else:
                    pov "Katyusha, I love you!"
                    jump finale11

label finale10:
    pause(.5)
    show ukr surpbl
    play sound "noise.wav"
    u "%(povname)s...! I'm so surprised to hear that from you!"
    pause(1)
    jump finale13
    
label finale9:
    u "I'm just so happy to hear that from you!"
    "This seems like a critical, do-or-die moment. You're beginning to sweat
    and your hands are trembling. It's now or never."
    menu:
        "You're beautiful.":
            pov "Katyusha... You're the most beautiful woman I have ever seen in my life."
            pause(1)
            show ukr surpbl
            play sound "noise.wav"
            u "%(povname)s... I knew it!"
            show ukr contbl
            u "I knew you felt that way about me!"
            jump finale13
        "I love you.":
            if flag17:
                jump truelove
            else:
                pov "I love you, Katyusha!"
                jump finale11

label finale13:
    show ukr contbl
    play music "end2.mp3"
    u "I'm so happy, I think I'm going to cry."
    u "I'm so happy because..."
    pause(1)
    u "Because..."
    pause(2)
    u "Because I love you!"
    pause(1)
    scene black
    with dissolve
    jump greatend

label finale11:
    show ukr surpbl
    play sound "noise.wav"
    pause(2)
    show ukr contbl
    play music "end2.mp3"
    u "%(povname)s, I love you too!"
    u "I..."
    show ukr frownbl
    pause(1)
    show ukr contbl
    u "I truly love you!"
    pause(1)
    scene black
    with dissolve
    jump greatend

label finale12:
    show ukr surpbl
    play sound "noise.wav"
    pause(1)
    show ukr contbl
    u "I think you're a handsome man, too."
    "This seems like a critical, do-or-die moment. You're beginning to sweat
    and your hands are trembling. There's only one thing on your mind. It's now or never."
    "Will you say those three simple words to her? Will you profess your love to her?"
    menu:
        "Say 'I love you.'":
            if flag17:
                jump truelove
            else:
                pov "Katyusha... I love you!"
                jump finale11
        "Say nothing.":
            "You're beginning to feel woozy. All this pressure has gone to your head."
            "You black out."
            show ukr frownbl
            play sound "noise.wav"
            jump badend

# True Love
label truelove:
    show ukr contbl
    stop music fadeout .25
    pause(1)
    "You take in a deep breath."
    pov "Katyusha..."
    show ukr frownbl
    u "Yes, %(povname)s?"
    "She truly is an amazing woman. You take in another deep breath. This is it."
    pov "I love you!"
    pause(1)
    show ukr surpbl
    play sound "noise.wav"
    play music "end2.mp3"
    pause(3)
    show ukr contbl
    pause(4)
    u "%(povname)s... I love you too!"
    u "I'm so happy to have met you... I..."
    show ukr frownbl
    "She is so happy, she is tearing up and crying."
    "You go up to her and give her a warm embrace, and a soft kiss on her forehead."
    show ukr contbl
    "She looks up at you, eyes still watery, and smiles."
    "The two of you briefly exchange kisses, smile at each other, and continue the embrace."
    "Yes, %(povname)s, that beautiful farmer girl you ran into earlier is now in love with you,
    and you with her."
    "This has truly been the best welcome to Ukraine anybody could have asked for,
    for now you are with a lover with whom you have already shared both smiles and tears."
    "And there is no love more pure than that."
    pause(2)
    scene black
    with Dissolve(.8)
    pause(1)
    jump bestend

# Various Endings
label goodend:
    scene full farm
    with Dissolve(.5)
    ".:. Good Ending .:."
    pause(5)
    jump credits
label greatend:
    scene full windmill
    with Dissolve(.5)
    ".:. Great Ending .:."
    pause(5)
    jump credits
label bestend:
    scene full face
    with Dissolve(.5)
    ".:. Best Ending .:."
    pause(5)
    jump credits
label credits:
    scene black
    with Dissolve(.5)
    pause(.75)
    scene credits one
    with dissolve
    pause(5)
    
    scene credits two
    with dissolve
    pause(5)
    
    scene credits three
    with dissolve
    pause(5)
    
    scene bg ukrdark
    with dissolve
    pause(1)
    
    scene full field
    with dissolve
    pause(5)
    
    stop music fadeout 1.1
    scene black
    with Dissolve(.5)
    pause(2)
    
    ".:. THE END .:."
    pause(1)
    return
